<script setup lang="ts">
import { md, text } from '@distromade/distro-cms';
import { useHead } from '#imports';
import { useActiveProducts, useThemeContent } from '~/composables';
import json from '~/content/products.json';

type Content = typeof json;
type MD = Content['cms']['markdownElements'];
type Text = Content['cms']['plainTextElements'];

const { products } = await useActiveProducts();
const { mdElements, textElements, pageTitle } = await useThemeContent<MD, Text>('/products');

useHead({
  title: () => pageTitle.value,
});
</script>

<template>
  <Hero
    :title="text(textElements.heroTitle)"
    :description="md(mdElements.heroDescription)"
    :background="text(textElements.heroBackground)"
  />
  <section class="w-full flex justify-center px-4">
    <Products :products="products" />
  </section>
</template>
